Δεν παίζουν τα videos ή παίζουν χωρίς ήχο

Εδώ και λίγο καιρό, αντιμετωπίζω ένα περίεργο πρόβλημα… Δεν παίζουν videos ή μουσική μετά από κάποια στιγμή. Δεν έχω καταφέρει να βρω πότε ξεκινάει το πρόβλημα ακόμα, αλλά ο μόνος τρόπος να το επαναφέρω, είναι reboot (τουλάχιστον έτσι κατάφερα εγώ…)

Firefox: Δεν παίζει κανένα video (Fb, Youtube, DailyMotion, κλπ). Φαίνεται να ξεκινάει αλλά σταματάει αμέσως. Στο Reddit αυτά που έχουν το μεγαφωνάκι, δεν παίζουν, αυτά που δεν το έχουν, παίζουν χωρίς ήχο (δεν αναφέρομαι σε animated GIFs)

Vivaldi: Παρόμοια κατάσταση, αλλά παίζουν για 2-3 δευτερόλεπτα, χωρίς ήχο

VLC: Παίζουν κανονικά, αλλά χωρίς ήχο

Clementine: Περίπου ίδια συμπεριφορά, δεν ξεκινάει να παίζει καθόλου

Έλεγξα τα sound devices, φαίνονται κανονικά όλα, όπως πρέπει να είναι.

Operating System: Manjaro Linux
KDE Plasma Version: 5.19.5
KDE Frameworks Version: 5.73.0
Qt Version: 5.15.0
Kernel Version: 5.8.6-1-MANJARO
OS Type: 64-bit
Processors: 24 × AMD Ryzen 9 3900X 12-Core Processor
Memory: 62.8 GiB of RAM
Graphics Processor: Radeon RX 5500 XT
1 Like

Για δοκιμασε να βαλεις τους codecs μονος σου

sudo pacman -S a52dec faac faad2 flac jasper lame libdca libdv libmad libmpeg2 libtheora libvorbis libxv wavpack x264 xvidcore gstreamer0.10-plugins
1 Like

Ευχαριστώ αλλά δε βοήθησε…

warning: a52dec-0.7.4-11 is up to date -- reinstalling
warning: faac-1.30-2 is up to date -- reinstalling
warning: faad2-2.9.2-1 is up to date -- reinstalling
warning: flac-1.3.3-2 is up to date -- reinstalling
warning: jasper-2.0.19-1 is up to date -- reinstalling
warning: lame-3.100-3 is up to date -- reinstalling
warning: libdca-0.0.7-1 is up to date -- reinstalling
warning: libdv-1.0.0-9 is up to date -- reinstalling
warning: libmad-0.15.1b-9 is up to date -- reinstalling
warning: libmpeg2-0.5.1-7 is up to date -- reinstalling
warning: libtheora-1.1.1-5 is up to date -- reinstalling
warning: libvorbis-1.3.7-2 is up to date -- reinstalling
warning: libxv-1.0.11-4 is up to date -- reinstalling
warning: wavpack-5.3.0-1 is up to date -- reinstalling
warning: x264-3:0.160.r3011.cde9a93-1 is up to date -- reinstalling
warning: xvidcore-1.3.7-2 is up to date -- reinstalling
error: target not found: gstreamer0.10-plugins

Edit: Εφόσον επικεντρώθηκα στον ήχο (νόμιζα ότι ήταν τα videos το θέμα), αποσυνέδεσα την κάρτα ήχου μου (SoundBlaster G6 USB) και την έβαλα πάλι. Δεν την είδε σα συσκευή αλλά ο ήχος επανήλθε, μέσω HDMI. Την έβγαλα 2η φορά, την έβαλα πάλι και πλέον παίζει κανονικά… Γιατί συμβαίνει αυτό;

1 Like

Απο οτι ειδα λιγο στο ιντερνετ πολλοι αντιμετωπιζουν προβληματα με την συγκεκριμενη καρτα ηχου.Δυο λυσεις ειναι για Arch πιθανον να δουλεψει και σε Manjaro

1.Πριν ανοιξεις τον υπολογιστη να την εχεις ηδη βαλει

  1. Οταν εισαι μεσα στο Manjaro τρεξε
    systemctl --user stop pulseaudio.socket
    μετα
    systemctl --user start pulseaudio.socket

Επισης αναφερουν οτι το firmware 1,6 δουλευει καλυτερα αλλα θα πρεπει να μπεις σε windows μηχανημα για να κανεις upgrade η downgrade αναλογα πιο firmware εχεις τωρα

Δοκιμασε να απενεργοποιησεις επισης το fast boot στο bios

Ενα ωραιο βοηθημα απο το cerebrux για τα usb

4 Likes

Εκτελώντας αυτό, με sudo, παίρνω “Operation not permitted”.

Σήμερα, δεν τη βλέπει καθόλου…!

Firmware είχα το 1.16 (δεν υπάρχει 1.6).
Τη δοκίμασα στο Laptop με Windows, έπαιζε κανονικά.
Έβαλα το 2.0, πάλι χωρίς πρόβλημα.

Δοκίμασα άλλο καλώδιο, άλλη θύρα, τίποτα.

Τι έγινε ξαφνικά;

1 Like

Σε Manjaro ειμαι και γω και οι εντολες που σου εδωσα δουλευουν κανονικα σε μενα.Δυστυχως δεν εχω αλλη λυση να σου δωσω ισως να περιμενεις να σε βοηθησει καποιος αλλος χρηστης η αν γνωριζεις Αγγλικα μηπως να πας στο επισημο φορουμ του Manjaro

lI_Simo_Hayha_Il
Update
Εκτελεσε τις εντολες χωρις sudo

Έχε σε ένα τερματικό μόνιμα να τρέχει μια εντολή να βλέπεις τα logs. Μόλις σταματήσει ο ήχος δείξε μας τι καινούργιο σχετικό εμφανίστηκε εκεί.

ΥΓ: Ένας γρήγορος τρόπος να επανεκκινήσεις τον ήχο είναι η εντολή pulseaudio -k

2 Likes